# ncurses 6.0 - patch 20160618 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# 	ftp://invisible-island.net/ncurses/6.0
#	http://invisible-mirror.net/archives/ncurses/6.0 
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20160618.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Jun 19 01:16:22 UTC 2016
# ------------------------------------------------------------------------------
# NEWS                             |    7 
# VERSION                          |    2 
# dist.mk                          |    4 
# package/debian-mingw/changelog   |    4 
# package/debian-mingw64/changelog |    4 
# package/debian/changelog         |    4 
# package/mingw-ncurses.nsi        |    4 
# package/mingw-ncurses.spec       |    2 
# package/ncurses.spec             |    2 
# test/configure                   |  874 ++++++++++++++++++++++---------------
# test/configure.in                |    4 
# test/demo_terminfo.c             |   14 
# test/list_keys.c                 |   99 +++-
# test/test.priv.h                 |   10 
# test/test_setupterm.c            |   15 
# 15 files changed, 660 insertions(+), 389 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2618 
--- ncurses-6.0-20160611+/NEWS	2016-06-11 21:55:21.000000000 +0000
+++ ncurses-6.0-20160618/NEWS	2016-06-18 23:43:33.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2618 2016/06/11 21:55:21 tom Exp $
+-- $Id: NEWS,v 1.2621 2016/06/18 23:43:33 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,11 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20160618
+	+ build-fixes for ncurses-examples with NetBSD curses.
+	+ improve test/list_keys.c, fixing column-widths and sorting the list
+	  to make it more readable.
+
 20160611
 	+ revise fix for Debian #805618 (report by Vlado Potisk, cf: 20151128).
 	+ modify test/ncurses.c a/A screens to make exiting on an escape
Index: VERSION
--- ncurses-6.0-20160611+/VERSION	2016-06-11 12:32:48.000000000 +0000
+++ ncurses-6.0-20160618/VERSION	2016-06-18 17:50:50.000000000 +0000
@@ -1 +1 @@
-5:0:9	6.0	20160611
+5:0:9	6.0	20160618
Index: dist.mk
Prereq:  1.1110 
--- ncurses-6.0-20160611+/dist.mk	2016-06-11 12:32:48.000000000 +0000
+++ ncurses-6.0-20160618/dist.mk	2016-06-18 17:50:50.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1110 2016/06/11 12:32:48 tom Exp $
+# $Id: dist.mk,v 1.1111 2016/06/18 17:50:50 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 6
 NCURSES_MINOR = 0
-NCURSES_PATCH = 20160611
+NCURSES_PATCH = 20160618
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian-mingw/changelog
--- ncurses-6.0-20160611+/package/debian-mingw/changelog	2016-06-11 12:32:48.000000000 +0000
+++ ncurses-6.0-20160618/package/debian-mingw/changelog	2016-06-18 17:50:50.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160611) unstable; urgency=low
+ncurses6 (6.0+20160618) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 11 Jun 2016 08:32:48 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 18 Jun 2016 13:50:50 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20160611+/package/debian-mingw64/changelog	2016-06-11 12:32:48.000000000 +0000
+++ ncurses-6.0-20160618/package/debian-mingw64/changelog	2016-06-18 17:50:50.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160611) unstable; urgency=low
+ncurses6 (6.0+20160618) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 11 Jun 2016 08:32:48 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 18 Jun 2016 13:50:50 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-6.0-20160611+/package/debian/changelog	2016-06-11 12:32:48.000000000 +0000
+++ ncurses-6.0-20160618/package/debian/changelog	2016-06-18 17:50:50.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20160611) unstable; urgency=low
+ncurses6 (6.0+20160618) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 11 Jun 2016 08:32:48 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 18 Jun 2016 13:50:50 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.162 
--- ncurses-6.0-20160611+/package/mingw-ncurses.nsi	2016-06-11 12:32:48.000000000 +0000
+++ ncurses-6.0-20160618/package/mingw-ncurses.nsi	2016-06-18 17:50:50.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.162 2016/06/11 12:32:48 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.163 2016/06/18 17:50:50 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "6"
 !define VERSION_MINOR "0"
 !define VERSION_YYYY  "2016"
-!define VERSION_MMDD  "0611"
+!define VERSION_MMDD  "0618"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20160611+/package/mingw-ncurses.spec	2016-06-11 12:32:48.000000000 +0000
+++ ncurses-6.0-20160618/package/mingw-ncurses.spec	2016-06-18 17:50:50.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 6.0
-Release: 20160611
+Release: 20160618
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20160611+/package/ncurses.spec	2016-06-11 12:32:48.000000000 +0000
+++ ncurses-6.0-20160618/package/ncurses.spec	2016-06-18 17:50:50.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 6.0
-Release: 20160611
+Release: 20160618
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/configure
--- ncurses-6.0-20160611+/test/configure	2016-05-29 00:38:57.000000000 +0000
+++ ncurses-6.0-20160618/test/configure	2016-06-19 00:16:03.000000000 +0000
@@ -14546,6 +14546,7 @@
 putwin \
 resize_term \
 resizeterm \
+restartterm \
 ripoffline \
 scr_dump \
 setupterm \
@@ -14574,10 +14575,10 @@
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:14577: checking for ${cf_func}" >&5
+	echo "$as_me:14578: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:14580: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:14581: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14586,7 +14587,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 14589 "configure"
+#line 14590 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14619,16 +14620,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14622: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14623: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14625: \$? = $ac_status" >&5
+  echo "$as_me:14626: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14628: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14629: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14631: \$? = $ac_status" >&5
+  echo "$as_me:14632: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14644,7 +14645,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:14647: result: $cf_result" >&5
+	echo "$as_me:14648: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -14659,10 +14660,10 @@
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:14662: checking for ${cf_func}" >&5
+	echo "$as_me:14663: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:14665: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:14666: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -14671,7 +14672,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 14674 "configure"
+#line 14675 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14704,16 +14705,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14707: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14708: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14710: \$? = $ac_status" >&5
+  echo "$as_me:14711: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14713: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14714: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14716: \$? = $ac_status" >&5
+  echo "$as_me:14717: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14729,7 +14730,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:14732: result: $cf_result" >&5
+	echo "$as_me:14733: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -14753,7 +14754,7 @@
 				cf_return="return value"
 			fi
 			cat >conftest.$ac_ext <<_ACEOF
-#line 14756 "configure"
+#line 14757 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14773,21 +14774,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14776: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14777: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14779: \$? = $ac_status" >&5
+  echo "$as_me:14780: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14782: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14783: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14785: \$? = $ac_status" >&5
+  echo "$as_me:14786: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		test -n "$verbose" && echo "	prototype $cf_ret func($cf_arg value)" 1>&6
 
-echo "${as_me:-configure}:14790: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
+echo "${as_me:-configure}:14791: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
 
 		cat >>confdefs.h <<EOF
 #define TPUTS_ARG               $cf_arg
@@ -14807,14 +14808,14 @@
 	done
 fi
 
-echo "$as_me:14810: checking for ncurses extended functions" >&5
+echo "$as_me:14811: checking for ncurses extended functions" >&5
 echo $ECHO_N "checking for ncurses extended functions... $ECHO_C" >&6
 if test "${cf_cv_ncurses_ext_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14817 "configure"
+#line 14818 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14829,16 +14830,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14832: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14833: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14835: \$? = $ac_status" >&5
+  echo "$as_me:14836: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14838: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14839: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14841: \$? = $ac_status" >&5
+  echo "$as_me:14842: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=defined
 else
@@ -14846,7 +14847,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14849 "configure"
+#line 14850 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14871,16 +14872,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14874: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14875: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14877: \$? = $ac_status" >&5
+  echo "$as_me:14878: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14880: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14881: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14883: \$? = $ac_status" >&5
+  echo "$as_me:14884: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=yes
 else
@@ -14894,7 +14895,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:14897: result: $cf_cv_ncurses_ext_funcs" >&5
+echo "$as_me:14898: result: $cf_cv_ncurses_ext_funcs" >&5
 echo "${ECHO_T}$cf_cv_ncurses_ext_funcs" >&6
 test "$cf_cv_ncurses_ext_funcs" = yes &&
 cat >>confdefs.h <<\EOF
@@ -14908,11 +14909,11 @@
 	if test -n "$cf_cv_ncurses_version" && test "x$cf_cv_ncurses_version" != xno
 	then
 		cf_define_xpg5=no
-		echo "$as_me:14911: checking if _XPG5 should be defined to enable wide-characters" >&5
+		echo "$as_me:14912: checking if _XPG5 should be defined to enable wide-characters" >&5
 echo $ECHO_N "checking if _XPG5 should be defined to enable wide-characters... $ECHO_C" >&6
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 14915 "configure"
+#line 14916 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14925,16 +14926,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14928: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14929: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14931: \$? = $ac_status" >&5
+  echo "$as_me:14932: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14934: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14935: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14937: \$? = $ac_status" >&5
+  echo "$as_me:14938: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -14943,7 +14944,7 @@
 cf_save_cppflags="$CPPFLAGS"
 			 CPPFLAGS="$CPPFLAGS -D_XPG5"
 			 cat >conftest.$ac_ext <<_ACEOF
-#line 14946 "configure"
+#line 14947 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -14956,16 +14957,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14959: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14960: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14962: \$? = $ac_status" >&5
+  echo "$as_me:14963: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14965: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14966: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14968: \$? = $ac_status" >&5
+  echo "$as_me:14969: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_define_xpg5=yes
 else
@@ -14976,7 +14977,7 @@
 			 CPPFLAGS="$cf_save_cppflags"
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-		echo "$as_me:14979: result: $cf_define_xpg5" >&5
+		echo "$as_me:14980: result: $cf_define_xpg5" >&5
 echo "${ECHO_T}$cf_define_xpg5" >&6
 
 		if test "$cf_define_xpg5" = yes
@@ -14985,14 +14986,14 @@
 		fi
 	fi
 
-	echo "$as_me:14988: checking for wide-character functions" >&5
+	echo "$as_me:14989: checking for wide-character functions" >&5
 echo $ECHO_N "checking for wide-character functions... $ECHO_C" >&6
 if test "${cf_cv_widechar_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14995 "configure"
+#line 14996 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -15009,16 +15010,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15012: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15013: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15015: \$? = $ac_status" >&5
+  echo "$as_me:15016: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15018: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15019: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15021: \$? = $ac_status" >&5
+  echo "$as_me:15022: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_widechar_funcs=yes
 else
@@ -15029,7 +15030,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15032: result: $cf_cv_widechar_funcs" >&5
+echo "$as_me:15033: result: $cf_cv_widechar_funcs" >&5
 echo "${ECHO_T}$cf_cv_widechar_funcs" >&6
 	if test "$cf_cv_widechar_funcs" != no ; then
 
@@ -15050,14 +15051,14 @@
 
 fi
 
-echo "$as_me:15053: checking if $cf_cv_screen library uses pthreads" >&5
+echo "$as_me:15054: checking if $cf_cv_screen library uses pthreads" >&5
 echo $ECHO_N "checking if $cf_cv_screen library uses pthreads... $ECHO_C" >&6
 if test "${cf_cv_use_pthreads+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15060 "configure"
+#line 15061 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -15075,16 +15076,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15078: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15079: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15081: \$? = $ac_status" >&5
+  echo "$as_me:15082: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15084: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15085: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15087: \$? = $ac_status" >&5
+  echo "$as_me:15088: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_use_pthreads=yes
 else
@@ -15095,20 +15096,20 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15098: result: $cf_cv_use_pthreads" >&5
+echo "$as_me:15099: result: $cf_cv_use_pthreads" >&5
 echo "${ECHO_T}$cf_cv_use_pthreads" >&6
 test $cf_cv_use_pthreads = yes && cat >>confdefs.h <<\EOF
 #define USE_PTHREADS 1
 EOF
 
-echo "$as_me:15104: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:15105: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15111 "configure"
+#line 15112 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -15128,16 +15129,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15131: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15132: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15134: \$? = $ac_status" >&5
+  echo "$as_me:15135: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15137: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15138: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15140: \$? = $ac_status" >&5
+  echo "$as_me:15141: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -15149,7 +15150,7 @@
 
 fi
 
-echo "$as_me:15152: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:15153: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes &&
 cat >>confdefs.h <<\EOF
@@ -15158,7 +15159,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:15161: checking for openpty in -lutil" >&5
+echo "$as_me:15162: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15166,7 +15167,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15169 "configure"
+#line 15170 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15185,16 +15186,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15188: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15189: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15191: \$? = $ac_status" >&5
+  echo "$as_me:15192: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15194: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15195: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15197: \$? = $ac_status" >&5
+  echo "$as_me:15198: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -15205,7 +15206,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15208: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:15209: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -15213,7 +15214,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:15216: checking for openpty header" >&5
+echo "$as_me:15217: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15240,7 +15241,7 @@
 	for cf_header in pty.h libutil.h util.h
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15243 "configure"
+#line 15244 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -15257,16 +15258,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15260: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15261: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15263: \$? = $ac_status" >&5
+  echo "$as_me:15264: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15266: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15267: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15269: \$? = $ac_status" >&5
+  echo "$as_me:15270: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		cf_cv_func_openpty=$cf_header
@@ -15284,7 +15285,7 @@
 	LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:15287: result: $cf_cv_func_openpty" >&5
+echo "$as_me:15288: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -15318,7 +15319,7 @@
 	fi
 fi
 
-echo "$as_me:15321: checking for function curses_version" >&5
+echo "$as_me:15322: checking for function curses_version" >&5
 echo $ECHO_N "checking for function curses_version... $ECHO_C" >&6
 if test "${cf_cv_func_curses_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15328,7 +15329,7 @@
   cf_cv_func_curses_version=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15331 "configure"
+#line 15332 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -15341,15 +15342,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15344: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15345: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15347: \$? = $ac_status" >&5
+  echo "$as_me:15348: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15349: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15350: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15352: \$? = $ac_status" >&5
+  echo "$as_me:15353: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_curses_version=yes
 
@@ -15364,14 +15365,14 @@
 fi
 rm -f core
 fi
-echo "$as_me:15367: result: $cf_cv_func_curses_version" >&5
+echo "$as_me:15368: result: $cf_cv_func_curses_version" >&5
 echo "${ECHO_T}$cf_cv_func_curses_version" >&6
 test "$cf_cv_func_curses_version" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_CURSES_VERSION 1
 EOF
 
-echo "$as_me:15374: checking for alternate character set array" >&5
+echo "$as_me:15375: checking for alternate character set array" >&5
 echo $ECHO_N "checking for alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_acs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15381,7 +15382,7 @@
 for name in acs_map _acs_map __acs_map ${NCURSES_WRAP_PREFIX}acs_map
 do
 cat >conftest.$ac_ext <<_ACEOF
-#line 15384 "configure"
+#line 15385 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -15397,16 +15398,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15400: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15401: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15403: \$? = $ac_status" >&5
+  echo "$as_me:15404: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15406: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15407: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15409: \$? = $ac_status" >&5
+  echo "$as_me:15410: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_acs_map=$name; break
 else
@@ -15417,7 +15418,7 @@
 done
 
 fi
-echo "$as_me:15420: result: $cf_cv_curses_acs_map" >&5
+echo "$as_me:15421: result: $cf_cv_curses_acs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_acs_map" >&6
 
 test "$cf_cv_curses_acs_map" != unknown &&
@@ -15427,7 +15428,7 @@
 
 if test "$cf_enable_widec" = yes; then
 
-echo "$as_me:15430: checking for wide alternate character set array" >&5
+echo "$as_me:15431: checking for wide alternate character set array" >&5
 echo $ECHO_N "checking for wide alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15437,7 +15438,7 @@
 	for name in wacs_map _wacs_map __wacs_map _nc_wacs _wacs_char
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15440 "configure"
+#line 15441 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15453,16 +15454,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15456: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15457: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15459: \$? = $ac_status" >&5
+  echo "$as_me:15460: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15462: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15463: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15465: \$? = $ac_status" >&5
+  echo "$as_me:15466: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_map=$name
 	 break
@@ -15473,7 +15474,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	done
 fi
-echo "$as_me:15476: result: $cf_cv_curses_wacs_map" >&5
+echo "$as_me:15477: result: $cf_cv_curses_wacs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_map" >&6
 
 test "$cf_cv_curses_wacs_map" != unknown &&
@@ -15481,7 +15482,7 @@
 #define CURSES_WACS_ARRAY $cf_cv_curses_wacs_map
 EOF
 
-echo "$as_me:15484: checking for wide alternate character constants" >&5
+echo "$as_me:15485: checking for wide alternate character constants" >&5
 echo $ECHO_N "checking for wide alternate character constants... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_symbols+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15491,7 +15492,7 @@
 if test "$cf_cv_curses_wacs_map" != unknown
 then
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15494 "configure"
+#line 15495 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15508,16 +15509,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15511: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15512: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15514: \$? = $ac_status" >&5
+  echo "$as_me:15515: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15517: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15518: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15520: \$? = $ac_status" >&5
+  echo "$as_me:15521: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -15527,7 +15528,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 else
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15530 "configure"
+#line 15531 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15543,16 +15544,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15546: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15547: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15549: \$? = $ac_status" >&5
+  echo "$as_me:15550: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15552: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15553: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15555: \$? = $ac_status" >&5
+  echo "$as_me:15556: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -15563,7 +15564,7 @@
 fi
 
 fi
-echo "$as_me:15566: result: $cf_cv_curses_wacs_symbols" >&5
+echo "$as_me:15567: result: $cf_cv_curses_wacs_symbols" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_symbols" >&6
 
 test "$cf_cv_curses_wacs_symbols" != no &&
@@ -15573,10 +15574,10 @@
 
 fi
 
-echo "$as_me:15576: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15577: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15579 "configure"
+#line 15580 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15594,16 +15595,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15597: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15598: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15600: \$? = $ac_status" >&5
+  echo "$as_me:15601: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15603: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15604: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15606: \$? = $ac_status" >&5
+  echo "$as_me:15607: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15612,7 +15613,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15615: result: $cf_result" >&5
+echo "$as_me:15616: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -15633,14 +15634,14 @@
 if test "$cf_enable_widec" = yes; then
 
 # This is needed on Tru64 5.0 to declare mbstate_t
-echo "$as_me:15636: checking if we must include wchar.h to declare mbstate_t" >&5
+echo "$as_me:15637: checking if we must include wchar.h to declare mbstate_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare mbstate_t... $ECHO_C" >&6
 if test "${cf_cv_mbstate_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15643 "configure"
+#line 15644 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15658,23 +15659,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15661: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15662: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15664: \$? = $ac_status" >&5
+  echo "$as_me:15665: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15667: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15668: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15670: \$? = $ac_status" >&5
+  echo "$as_me:15671: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 15677 "configure"
+#line 15678 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15693,16 +15694,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15696: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15697: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15699: \$? = $ac_status" >&5
+  echo "$as_me:15700: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15702: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15703: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15705: \$? = $ac_status" >&5
+  echo "$as_me:15706: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=yes
 else
@@ -15714,7 +15715,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15717: result: $cf_cv_mbstate_t" >&5
+echo "$as_me:15718: result: $cf_cv_mbstate_t" >&5
 echo "${ECHO_T}$cf_cv_mbstate_t" >&6
 
 if test "$cf_cv_mbstate_t" = yes ; then
@@ -15737,14 +15738,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wchar_t
-echo "$as_me:15740: checking if we must include wchar.h to declare wchar_t" >&5
+echo "$as_me:15741: checking if we must include wchar.h to declare wchar_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wchar_t... $ECHO_C" >&6
 if test "${cf_cv_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15747 "configure"
+#line 15748 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15762,23 +15763,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15765: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15766: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15768: \$? = $ac_status" >&5
+  echo "$as_me:15769: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15771: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15772: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15774: \$? = $ac_status" >&5
+  echo "$as_me:15775: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 15781 "configure"
+#line 15782 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15797,16 +15798,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15800: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15801: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15803: \$? = $ac_status" >&5
+  echo "$as_me:15804: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15806: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15807: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15809: \$? = $ac_status" >&5
+  echo "$as_me:15810: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=yes
 else
@@ -15818,7 +15819,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15821: result: $cf_cv_wchar_t" >&5
+echo "$as_me:15822: result: $cf_cv_wchar_t" >&5
 echo "${ECHO_T}$cf_cv_wchar_t" >&6
 
 if test "$cf_cv_wchar_t" = yes ; then
@@ -15841,14 +15842,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wint_t
-echo "$as_me:15844: checking if we must include wchar.h to declare wint_t" >&5
+echo "$as_me:15845: checking if we must include wchar.h to declare wint_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wint_t... $ECHO_C" >&6
 if test "${cf_cv_wint_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15851 "configure"
+#line 15852 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15866,23 +15867,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15869: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15870: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15872: \$? = $ac_status" >&5
+  echo "$as_me:15873: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15875: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15876: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15878: \$? = $ac_status" >&5
+  echo "$as_me:15879: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 15885 "configure"
+#line 15886 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15901,16 +15902,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15904: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15905: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15907: \$? = $ac_status" >&5
+  echo "$as_me:15908: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15910: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15911: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15913: \$? = $ac_status" >&5
+  echo "$as_me:15914: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=yes
 else
@@ -15922,7 +15923,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:15925: result: $cf_cv_wint_t" >&5
+echo "$as_me:15926: result: $cf_cv_wint_t" >&5
 echo "${ECHO_T}$cf_cv_wint_t" >&6
 
 if test "$cf_cv_wint_t" = yes ; then
@@ -15946,10 +15947,10 @@
 
 	if test "$NCURSES_OK_MBSTATE_T" = 0 ; then
 
-echo "$as_me:15949: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:15950: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15952 "configure"
+#line 15953 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -15967,16 +15968,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15970: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15971: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15973: \$? = $ac_status" >&5
+  echo "$as_me:15974: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15976: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15977: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15979: \$? = $ac_status" >&5
+  echo "$as_me:15980: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -15985,7 +15986,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15988: result: $cf_result" >&5
+echo "$as_me:15989: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -16007,10 +16008,10 @@
 
 	if test "$NCURSES_OK_WCHAR_T" = 0 ; then
 
-echo "$as_me:16010: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16011: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 16013 "configure"
+#line 16014 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -16028,16 +16029,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16031: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16032: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16034: \$? = $ac_status" >&5
+  echo "$as_me:16035: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16037: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16038: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16040: \$? = $ac_status" >&5
+  echo "$as_me:16041: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16046,7 +16047,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16049: result: $cf_result" >&5
+echo "$as_me:16050: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -16068,10 +16069,10 @@
 
 	if test "$NCURSES_OK_WINT_T" = 0 ; then
 
-echo "$as_me:16071: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16072: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 16074 "configure"
+#line 16075 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -16089,16 +16090,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16092: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16093: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16095: \$? = $ac_status" >&5
+  echo "$as_me:16096: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16098: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16099: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16101: \$? = $ac_status" >&5
+  echo "$as_me:16102: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16107,7 +16108,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16110: result: $cf_result" >&5
+echo "$as_me:16111: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -16128,11 +16129,11 @@
 	fi
 fi
 
-echo "$as_me:16131: checking for data ospeed declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16132: checking for data ospeed declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data ospeed declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16135 "configure"
+#line 16136 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16160,16 +16161,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16163: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16164: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16166: \$? = $ac_status" >&5
+  echo "$as_me:16167: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16169: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16170: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16172: \$? = $ac_status" >&5
+  echo "$as_me:16173: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16178,7 +16179,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16181: result: $cf_result" >&5
+echo "$as_me:16182: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -16190,14 +16191,14 @@
 EOF
 
 else
-	echo "$as_me:16193: checking for data ospeed in library" >&5
+	echo "$as_me:16194: checking for data ospeed in library" >&5
 echo $ECHO_N "checking for data ospeed in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16200 "configure"
+#line 16201 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16230,16 +16231,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16233: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16234: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16236: \$? = $ac_status" >&5
+  echo "$as_me:16237: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16239: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16240: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16242: \$? = $ac_status" >&5
+  echo "$as_me:16243: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16251,7 +16252,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16254 "configure"
+#line 16255 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16277,15 +16278,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16280: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16281: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16283: \$? = $ac_status" >&5
+  echo "$as_me:16284: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16285: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16286: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16288: \$? = $ac_status" >&5
+  echo "$as_me:16289: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16296,7 +16297,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:16299: result: $cf_result" >&5
+	echo "$as_me:16300: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -16309,11 +16310,11 @@
 	fi
 fi
 
-echo "$as_me:16312: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16313: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16316 "configure"
+#line 16317 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16341,16 +16342,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16344: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16345: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16347: \$? = $ac_status" >&5
+  echo "$as_me:16348: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16350: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16351: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16353: \$? = $ac_status" >&5
+  echo "$as_me:16354: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16359,7 +16360,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16362: result: $cf_result" >&5
+echo "$as_me:16363: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -16371,14 +16372,14 @@
 EOF
 
 else
-	echo "$as_me:16374: checking for data boolnames in library" >&5
+	echo "$as_me:16375: checking for data boolnames in library" >&5
 echo $ECHO_N "checking for data boolnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16381 "configure"
+#line 16382 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16411,16 +16412,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16414: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16415: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16417: \$? = $ac_status" >&5
+  echo "$as_me:16418: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16420: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16421: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16423: \$? = $ac_status" >&5
+  echo "$as_me:16424: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16432,7 +16433,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16435 "configure"
+#line 16436 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16458,15 +16459,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16461: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16462: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16464: \$? = $ac_status" >&5
+  echo "$as_me:16465: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16466: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16467: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16469: \$? = $ac_status" >&5
+  echo "$as_me:16470: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16477,7 +16478,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:16480: result: $cf_result" >&5
+	echo "$as_me:16481: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -16490,11 +16491,11 @@
 	fi
 fi
 
-echo "$as_me:16493: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:16494: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16497 "configure"
+#line 16498 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16522,16 +16523,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16525: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16526: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16528: \$? = $ac_status" >&5
+  echo "$as_me:16529: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16531: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16532: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16534: \$? = $ac_status" >&5
+  echo "$as_me:16535: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16540,7 +16541,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:16543: result: $cf_result" >&5
+echo "$as_me:16544: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -16552,14 +16553,14 @@
 EOF
 
 else
-	echo "$as_me:16555: checking for data boolfnames in library" >&5
+	echo "$as_me:16556: checking for data boolfnames in library" >&5
 echo $ECHO_N "checking for data boolfnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16562 "configure"
+#line 16563 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16592,16 +16593,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16595: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16596: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16598: \$? = $ac_status" >&5
+  echo "$as_me:16599: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16601: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16602: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16604: \$? = $ac_status" >&5
+  echo "$as_me:16605: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16613,7 +16614,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16616 "configure"
+#line 16617 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -16639,15 +16640,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16642: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16643: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16645: \$? = $ac_status" >&5
+  echo "$as_me:16646: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16647: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16648: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16650: \$? = $ac_status" >&5
+  echo "$as_me:16651: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -16658,7 +16659,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:16661: result: $cf_result" >&5
+	echo "$as_me:16662: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -16671,9 +16672,190 @@
 	fi
 fi
 
+echo "$as_me:16675: checking for data ttytype declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo $ECHO_N "checking for data ttytype declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
+
+cat >conftest.$ac_ext <<_ACEOF
+#line 16679 "configure"
+#include "confdefs.h"
+
+#ifdef HAVE_XCURSES
+#include <xcurses.h>
+char * XCursesProgramName = "test";
+#else
+#include <${cf_cv_ncurses_header:-curses.h}>
+#if defined(NCURSES_VERSION) && defined(HAVE_NCURSESW_TERM_H)
+#include <ncursesw/term.h>
+#elif defined(NCURSES_VERSION) && defined(HAVE_NCURSES_TERM_H)
+#include <ncurses/term.h>
+#elif defined(HAVE_TERM_H)
+#include <term.h>
+#endif
+#endif
+
+int
+main ()
+{
+
+void *foo = &(ttytype)
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:16707: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:16710: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:16713: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:16716: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  cf_result=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+cf_result=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:16725: result: $cf_result" >&5
+echo "${ECHO_T}$cf_result" >&6
+
+if test $cf_result = yes ; then
+
+cf_result=`echo "have_curses_data_ttytype" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
+
+	cat >>confdefs.h <<EOF
+#define $cf_result 1
+EOF
+
+else
+	echo "$as_me:16737: checking for data ttytype in library" >&5
+echo $ECHO_N "checking for data ttytype in library... $ECHO_C" >&6
+	# BSD linkers insist on making weak linkage, but resolve at runtime.
+	if test "$cross_compiling" = yes; then
+
+	# cross-compiling
+	cat >conftest.$ac_ext <<_ACEOF
+#line 16744 "configure"
+#include "confdefs.h"
+
+#ifdef HAVE_XCURSES
+#include <xcurses.h>
+char * XCursesProgramName = "test";
+#else
+#include <${cf_cv_ncurses_header:-curses.h}>
+#if defined(NCURSES_VERSION) && defined(HAVE_NCURSESW_TERM_H)
+#include <ncursesw/term.h>
+#elif defined(NCURSES_VERSION) && defined(HAVE_NCURSES_TERM_H)
+#include <ncurses/term.h>
+#elif defined(HAVE_TERM_H)
+#include <term.h>
+#endif
+#endif
+
+extern char ttytype;
+int
+main ()
+{
+
+	do {
+		void *foo = &(ttytype);
+		fprintf(stderr, "testing linkage of ttytype:%p\n", foo);
+		${cf_cv_main_return:-return}(foo == 0);
+	} while (0)
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:16777: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:16780: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:16783: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:16786: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  cf_result=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+cf_result=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line 16798 "configure"
+#include "confdefs.h"
+
+#ifdef HAVE_XCURSES
+#include <xcurses.h>
+char * XCursesProgramName = "test";
+#else
+#include <${cf_cv_ncurses_header:-curses.h}>
+#if defined(NCURSES_VERSION) && defined(HAVE_NCURSESW_TERM_H)
+#include <ncursesw/term.h>
+#elif defined(NCURSES_VERSION) && defined(HAVE_NCURSES_TERM_H)
+#include <ncurses/term.h>
+#elif defined(HAVE_TERM_H)
+#include <term.h>
+#endif
+#endif
+
+extern char ttytype;
+int main(void)
+{
+	void *foo = &(ttytype);
+	fprintf(stderr, "testing linkage of ttytype:%p\n", foo);
+	${cf_cv_main_return:-return}(foo == 0);
+}
+_ACEOF
+rm -f conftest$ac_exeext
+if { (eval echo "$as_me:16824: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:16827: \$? = $ac_status" >&5
+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+  { (eval echo "$as_me:16829: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:16832: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  cf_result=yes
+else
+  echo "$as_me: program exited with status $ac_status" >&5
+echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+cf_result=no
+fi
+rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+	echo "$as_me:16843: result: $cf_result" >&5
+echo "${ECHO_T}$cf_result" >&6
+	if test $cf_result = yes ; then
+
+cf_result=`echo "decl_curses_data_ttytype" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
+
+		cat >>confdefs.h <<EOF
+#define $cf_result 1
+EOF
+
+	fi
+fi
+
 if ( test "$GCC" = yes || test "$GXX" = yes )
 then
-echo "$as_me:16676: checking if you want to turn on gcc warnings" >&5
+echo "$as_me:16858: checking if you want to turn on gcc warnings" >&5
 echo $ECHO_N "checking if you want to turn on gcc warnings... $ECHO_C" >&6
 
 # Check whether --enable-warnings or --disable-warnings was given.
@@ -16690,7 +16872,7 @@
 	with_warnings=no
 
 fi;
-echo "$as_me:16693: result: $with_warnings" >&5
+echo "$as_me:16875: result: $with_warnings" >&5
 echo "${ECHO_T}$with_warnings" >&6
 if test "$with_warnings" = "yes"
 then
@@ -16713,10 +16895,10 @@
 EOF
 if test "$GCC" = yes
 then
-	{ echo "$as_me:16716: checking for $CC __attribute__ directives..." >&5
+	{ echo "$as_me:16898: checking for $CC __attribute__ directives..." >&5
 echo "$as_me: checking for $CC __attribute__ directives..." >&6;}
 cat > conftest.$ac_ext <<EOF
-#line 16719 "${as_me:-configure}"
+#line 16901 "${as_me:-configure}"
 #include "confdefs.h"
 #include "conftest.h"
 #include "conftest.i"
@@ -16765,12 +16947,12 @@
 			;;
 		esac
 
-		if { (eval echo "$as_me:16768: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:16950: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16771: \$? = $ac_status" >&5
+  echo "$as_me:16953: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:16773: result: ... $cf_attribute" >&5
+			test -n "$verbose" && echo "$as_me:16955: result: ... $cf_attribute" >&5
 echo "${ECHO_T}... $cf_attribute" >&6
 			cat conftest.h >>confdefs.h
 			case $cf_attribute in
@@ -16834,12 +17016,12 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	(linux*|gnu*)
-		echo "$as_me:16837: checking if this is really Intel C compiler" >&5
+		echo "$as_me:17019: checking if this is really Intel C compiler" >&5
 echo $ECHO_N "checking if this is really Intel C compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		CFLAGS="$CFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 16842 "configure"
+#line 17024 "configure"
 #include "confdefs.h"
 
 int
@@ -16856,16 +17038,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16859: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17041: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16862: \$? = $ac_status" >&5
+  echo "$as_me:17044: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16865: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17047: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16868: \$? = $ac_status" >&5
+  echo "$as_me:17050: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147"
@@ -16876,7 +17058,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:16879: result: $INTEL_COMPILER" >&5
+		echo "$as_me:17061: result: $INTEL_COMPILER" >&5
 echo "${ECHO_T}$INTEL_COMPILER" >&6
 		;;
 	esac
@@ -16885,12 +17067,12 @@
 CLANG_COMPILER=no
 
 if test "$GCC" = yes ; then
-	echo "$as_me:16888: checking if this is really Clang C compiler" >&5
+	echo "$as_me:17070: checking if this is really Clang C compiler" >&5
 echo $ECHO_N "checking if this is really Clang C compiler... $ECHO_C" >&6
 	cf_save_CFLAGS="$CFLAGS"
 	CFLAGS="$CFLAGS -Qunused-arguments"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16893 "configure"
+#line 17075 "configure"
 #include "confdefs.h"
 
 int
@@ -16907,16 +17089,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16910: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17092: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16913: \$? = $ac_status" >&5
+  echo "$as_me:17095: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16916: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17098: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16919: \$? = $ac_status" >&5
+  echo "$as_me:17101: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   CLANG_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -Qunused-arguments"
@@ -16927,12 +17109,12 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	CFLAGS="$cf_save_CFLAGS"
-	echo "$as_me:16930: result: $CLANG_COMPILER" >&5
+	echo "$as_me:17112: result: $CLANG_COMPILER" >&5
 echo "${ECHO_T}$CLANG_COMPILER" >&6
 fi
 
 cat > conftest.$ac_ext <<EOF
-#line 16935 "${as_me:-configure}"
+#line 17117 "${as_me:-configure}"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -16949,7 +17131,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #279: controlling expression is constant
 
-	{ echo "$as_me:16952: checking for $CC warning options..." >&5
+	{ echo "$as_me:17134: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS="-Wall"
@@ -16965,12 +17147,12 @@
 		wd981
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:16968: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:17150: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16971: \$? = $ac_status" >&5
+  echo "$as_me:17153: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:16973: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:17155: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
 		fi
@@ -16979,7 +17161,7 @@
 
 elif test "$GCC" = yes
 then
-	{ echo "$as_me:16982: checking for $CC warning options..." >&5
+	{ echo "$as_me:17164: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS=
@@ -17003,12 +17185,12 @@
 		Wundef $cf_gcc_warnings $cf_warn_CONST
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:17006: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:17188: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17009: \$? = $ac_status" >&5
+  echo "$as_me:17191: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:17011: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:17193: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			case $cf_opt in
 			(Wcast-qual)
@@ -17019,7 +17201,7 @@
 				([34].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:17022: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:17204: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -17029,7 +17211,7 @@
 				([12].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:17032: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:17214: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -17045,7 +17227,7 @@
 fi
 fi
 
-echo "$as_me:17048: checking if you want to use dmalloc for testing" >&5
+echo "$as_me:17230: checking if you want to use dmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dmalloc or --without-dmalloc was given.
@@ -17062,7 +17244,7 @@
 else
   with_dmalloc=
 fi;
-echo "$as_me:17065: result: ${with_dmalloc:-no}" >&5
+echo "$as_me:17247: result: ${with_dmalloc:-no}" >&5
 echo "${ECHO_T}${with_dmalloc:-no}" >&6
 
 case .$with_cflags in
@@ -17156,23 +17338,23 @@
 esac
 
 if test "$with_dmalloc" = yes ; then
-	echo "$as_me:17159: checking for dmalloc.h" >&5
+	echo "$as_me:17341: checking for dmalloc.h" >&5
 echo $ECHO_N "checking for dmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17165 "configure"
+#line 17347 "configure"
 #include "confdefs.h"
 #include <dmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:17169: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17351: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:17175: \$? = $ac_status" >&5
+  echo "$as_me:17357: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -17191,11 +17373,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:17194: result: $ac_cv_header_dmalloc_h" >&5
+echo "$as_me:17376: result: $ac_cv_header_dmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dmalloc_h" >&6
 if test $ac_cv_header_dmalloc_h = yes; then
 
-echo "$as_me:17198: checking for dmalloc_debug in -ldmalloc" >&5
+echo "$as_me:17380: checking for dmalloc_debug in -ldmalloc" >&5
 echo $ECHO_N "checking for dmalloc_debug in -ldmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dmalloc_dmalloc_debug+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17203,7 +17385,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 17206 "configure"
+#line 17388 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -17222,16 +17404,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17225: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17407: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17228: \$? = $ac_status" >&5
+  echo "$as_me:17410: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17231: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17413: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17234: \$? = $ac_status" >&5
+  echo "$as_me:17416: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dmalloc_dmalloc_debug=yes
 else
@@ -17242,7 +17424,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:17245: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
+echo "$as_me:17427: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
 echo "${ECHO_T}$ac_cv_lib_dmalloc_dmalloc_debug" >&6
 if test $ac_cv_lib_dmalloc_dmalloc_debug = yes; then
   cat >>confdefs.h <<EOF
@@ -17257,7 +17439,7 @@
 
 fi
 
-echo "$as_me:17260: checking if you want to use dbmalloc for testing" >&5
+echo "$as_me:17442: checking if you want to use dbmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dbmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dbmalloc or --without-dbmalloc was given.
@@ -17274,7 +17456,7 @@
 else
   with_dbmalloc=
 fi;
-echo "$as_me:17277: result: ${with_dbmalloc:-no}" >&5
+echo "$as_me:17459: result: ${with_dbmalloc:-no}" >&5
 echo "${ECHO_T}${with_dbmalloc:-no}" >&6
 
 case .$with_cflags in
@@ -17368,23 +17550,23 @@
 esac
 
 if test "$with_dbmalloc" = yes ; then
-	echo "$as_me:17371: checking for dbmalloc.h" >&5
+	echo "$as_me:17553: checking for dbmalloc.h" >&5
 echo $ECHO_N "checking for dbmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dbmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17377 "configure"
+#line 17559 "configure"
 #include "confdefs.h"
 #include <dbmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:17381: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17563: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:17387: \$? = $ac_status" >&5
+  echo "$as_me:17569: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -17403,11 +17585,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:17406: result: $ac_cv_header_dbmalloc_h" >&5
+echo "$as_me:17588: result: $ac_cv_header_dbmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dbmalloc_h" >&6
 if test $ac_cv_header_dbmalloc_h = yes; then
 
-echo "$as_me:17410: checking for debug_malloc in -ldbmalloc" >&5
+echo "$as_me:17592: checking for debug_malloc in -ldbmalloc" >&5
 echo $ECHO_N "checking for debug_malloc in -ldbmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dbmalloc_debug_malloc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17415,7 +17597,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldbmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 17418 "configure"
+#line 17600 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -17434,16 +17616,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17437: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17619: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17440: \$? = $ac_status" >&5
+  echo "$as_me:17622: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17443: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17625: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17446: \$? = $ac_status" >&5
+  echo "$as_me:17628: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dbmalloc_debug_malloc=yes
 else
@@ -17454,7 +17636,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:17457: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
+echo "$as_me:17639: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
 echo "${ECHO_T}$ac_cv_lib_dbmalloc_debug_malloc" >&6
 if test $ac_cv_lib_dbmalloc_debug_malloc = yes; then
   cat >>confdefs.h <<EOF
@@ -17469,7 +17651,7 @@
 
 fi
 
-echo "$as_me:17472: checking if you want to use valgrind for testing" >&5
+echo "$as_me:17654: checking if you want to use valgrind for testing" >&5
 echo $ECHO_N "checking if you want to use valgrind for testing... $ECHO_C" >&6
 
 # Check whether --with-valgrind or --without-valgrind was given.
@@ -17486,7 +17668,7 @@
 else
   with_valgrind=
 fi;
-echo "$as_me:17489: result: ${with_valgrind:-no}" >&5
+echo "$as_me:17671: result: ${with_valgrind:-no}" >&5
 echo "${ECHO_T}${with_valgrind:-no}" >&6
 
 case .$with_cflags in
@@ -17579,7 +17761,7 @@
 	;;
 esac
 
-echo "$as_me:17582: checking if you want to perform memory-leak testing" >&5
+echo "$as_me:17764: checking if you want to perform memory-leak testing" >&5
 echo $ECHO_N "checking if you want to perform memory-leak testing... $ECHO_C" >&6
 
 # Check whether --enable-leaks or --disable-leaks was given.
@@ -17589,7 +17771,7 @@
 else
   : ${with_no_leaks:=no}
 fi;
-echo "$as_me:17592: result: $with_no_leaks" >&5
+echo "$as_me:17774: result: $with_no_leaks" >&5
 echo "${ECHO_T}$with_no_leaks" >&6
 
 if test "$with_no_leaks" = yes ; then
@@ -17605,7 +17787,7 @@
 fi
 
 LD_RPATH_OPT=
-echo "$as_me:17608: checking for an rpath option" >&5
+echo "$as_me:17790: checking for an rpath option" >&5
 echo $ECHO_N "checking for an rpath option... $ECHO_C" >&6
 case $cf_cv_system_name in
 (irix*)
@@ -17636,12 +17818,12 @@
 (*)
 	;;
 esac
-echo "$as_me:17639: result: $LD_RPATH_OPT" >&5
+echo "$as_me:17821: result: $LD_RPATH_OPT" >&5
 echo "${ECHO_T}$LD_RPATH_OPT" >&6
 
 case "x$LD_RPATH_OPT" in
 (x-R*)
-	echo "$as_me:17644: checking if we need a space after rpath option" >&5
+	echo "$as_me:17826: checking if we need a space after rpath option" >&5
 echo $ECHO_N "checking if we need a space after rpath option... $ECHO_C" >&6
 	cf_save_LIBS="$LIBS"
 
@@ -17662,7 +17844,7 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17665 "configure"
+#line 17847 "configure"
 #include "confdefs.h"
 
 int
@@ -17674,16 +17856,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17677: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17859: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17680: \$? = $ac_status" >&5
+  echo "$as_me:17862: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17683: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17865: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17686: \$? = $ac_status" >&5
+  echo "$as_me:17868: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_space=no
 else
@@ -17693,13 +17875,13 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save_LIBS"
-	echo "$as_me:17696: result: $cf_rpath_space" >&5
+	echo "$as_me:17878: result: $cf_rpath_space" >&5
 echo "${ECHO_T}$cf_rpath_space" >&6
 	test "$cf_rpath_space" = yes && LD_RPATH_OPT="$LD_RPATH_OPT "
 	;;
 esac
 
-echo "$as_me:17702: checking if rpath-hack should be disabled" >&5
+echo "$as_me:17884: checking if rpath-hack should be disabled" >&5
 echo $ECHO_N "checking if rpath-hack should be disabled... $ECHO_C" >&6
 
 # Check whether --enable-rpath-hack or --disable-rpath-hack was given.
@@ -17716,21 +17898,21 @@
 	cf_disable_rpath_hack=no
 
 fi;
-echo "$as_me:17719: result: $cf_disable_rpath_hack" >&5
+echo "$as_me:17901: result: $cf_disable_rpath_hack" >&5
 echo "${ECHO_T}$cf_disable_rpath_hack" >&6
 if test "$cf_disable_rpath_hack" = no ; then
 
-echo "$as_me:17723: checking for updated LDFLAGS" >&5
+echo "$as_me:17905: checking for updated LDFLAGS" >&5
 echo $ECHO_N "checking for updated LDFLAGS... $ECHO_C" >&6
 if test -n "$LD_RPATH_OPT" ; then
-	echo "$as_me:17726: result: maybe" >&5
+	echo "$as_me:17908: result: maybe" >&5
 echo "${ECHO_T}maybe" >&6
 
 	for ac_prog in ldd
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:17733: checking for $ac_word" >&5
+echo "$as_me:17915: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_cf_ldd_prog+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17745,7 +17927,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_cf_ldd_prog="$ac_prog"
-echo "$as_me:17748: found $ac_dir/$ac_word" >&5
+echo "$as_me:17930: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -17753,10 +17935,10 @@
 fi
 cf_ldd_prog=$ac_cv_prog_cf_ldd_prog
 if test -n "$cf_ldd_prog"; then
-  echo "$as_me:17756: result: $cf_ldd_prog" >&5
+  echo "$as_me:17938: result: $cf_ldd_prog" >&5
 echo "${ECHO_T}$cf_ldd_prog" >&6
 else
-  echo "$as_me:17759: result: no" >&5
+  echo "$as_me:17941: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -17770,7 +17952,7 @@
 		cf_rpath_oops=
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17773 "configure"
+#line 17955 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -17782,16 +17964,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17785: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17967: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17788: \$? = $ac_status" >&5
+  echo "$as_me:17970: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17791: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17973: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17794: \$? = $ac_status" >&5
+  echo "$as_me:17976: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_oops=`$cf_ldd_prog conftest$ac_exeext | fgrep ' not found' | sed -e 's% =>.*$%%' |sort | uniq`
 		 cf_rpath_list=`$cf_ldd_prog conftest$ac_exeext | fgrep / | sed -e 's%^.*[ 	]/%/%' -e 's%/[^/][^/]*$%%' |sort | uniq`
@@ -17819,7 +18001,7 @@
 					then
 						test -n "$verbose" && echo "	...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src" 1>&6
 
-echo "${as_me:-configure}:17822: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
+echo "${as_me:-configure}:18004: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
 
 						LDFLAGS="$LDFLAGS -L$cf_rpath_dir/lib"
 						break
@@ -17831,11 +18013,11 @@
 
 	test -n "$verbose" && echo "	...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:17834: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:18016: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:17838: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:18020: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LDFLAGS
@@ -17872,7 +18054,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:17875: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:18057: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -17885,11 +18067,11 @@
 
 test -n "$verbose" && echo "	...checked LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:17888: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:18070: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:17892: testing ...checking LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:18074: testing ...checking LIBS $LIBS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LIBS
@@ -17926,7 +18108,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:17929: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:18111: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -17939,14 +18121,14 @@
 
 test -n "$verbose" && echo "	...checked LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:17942: testing ...checked LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:18124: testing ...checked LIBS $LIBS ..." 1>&5
 
 	test -n "$verbose" && echo "	...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:17946: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:18128: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 else
-	echo "$as_me:17949: result: no" >&5
+	echo "$as_me:18131: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -18036,7 +18218,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:18039: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:18221: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -18212,7 +18394,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:18215: error: ambiguous option: $1
+    { { echo "$as_me:18397: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -18231,7 +18413,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:18234: error: unrecognized option: $1
+  -*) { { echo "$as_me:18416: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -18281,7 +18463,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS ncurses_cfg.h:ncurses_tst.hin" ;;
-  *) { { echo "$as_me:18284: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:18466: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -18572,7 +18754,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:18575: creating $ac_file" >&5
+    { echo "$as_me:18757: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -18590,7 +18772,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:18593: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:18775: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -18603,7 +18785,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:18606: error: cannot find input file: $f" >&5
+           { { echo "$as_me:18788: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -18619,7 +18801,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:18622: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:18804: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -18628,7 +18810,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:18631: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:18813: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -18665,7 +18847,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:18668: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:18850: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -18676,7 +18858,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:18679: WARNING: Some variables may not be substituted:
+      { echo "$as_me:18861: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -18725,7 +18907,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:18728: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:18910: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -18736,7 +18918,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:18739: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:18921: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -18749,7 +18931,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:18752: error: cannot find input file: $f" >&5
+           { { echo "$as_me:18934: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -18807,7 +18989,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:18810: $ac_file is unchanged" >&5
+      { echo "$as_me:18992: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: test/configure.in
Prereq:  1.126 
--- ncurses-6.0-20160611+/test/configure.in	2016-04-09 21:37:32.000000000 +0000
+++ ncurses-6.0-20160618/test/configure.in	2016-06-18 23:50:44.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1996, etc.
 dnl
-dnl $Id: configure.in,v 1.126 2016/04/09 21:37:32 tom Exp $
+dnl $Id: configure.in,v 1.127 2016/06/18 23:50:44 tom Exp $
 dnl This is a simple configuration-script for the ncurses test programs that
 dnl allows the test-directory to be separately configured against a reference
 dnl system (i.e., sysvr4 curses)
@@ -218,6 +218,7 @@
 putwin \
 resize_term \
 resizeterm \
+restartterm \
 ripoffline \
 scr_dump \
 setupterm \
@@ -350,6 +351,7 @@
 CF_CURSES_CHECK_DATA(ospeed)
 CF_CURSES_CHECK_DATA(boolnames)
 CF_CURSES_CHECK_DATA(boolfnames)
+CF_CURSES_CHECK_DATA(ttytype)
 
 dnl ---------------------------------------------------------------------------
 CF_HELP_MESSAGE(Testing/development Options:)
Index: test/demo_terminfo.c
Prereq:  1.41 
--- ncurses-6.0-20160611+/test/demo_terminfo.c	2016-06-04 23:19:32.000000000 +0000
+++ ncurses-6.0-20160618/test/demo_terminfo.c	2016-06-18 23:57:33.000000000 +0000
@@ -29,7 +29,7 @@
 /*
  * Author: Thomas E. Dickey
  *
- * $Id: demo_terminfo.c,v 1.41 2016/06/04 23:19:32 tom Exp $
+ * $Id: demo_terminfo.c,v 1.42 2016/06/18 23:57:33 tom Exp $
  *
  * A simple demo of the terminfo interface.
  */
@@ -312,6 +312,12 @@
     del_curterm(cur_term);
 }
 
+#if USE_CODE_LISTS
+#define fullname(type,n) f_opt ? type##fnames[n] : cap
+#else
+#define fullname(type,n) cap
+#endif
+
 static void
 demo_terminfo(char *name)
 {
@@ -330,7 +336,7 @@
 	    cap = my_boolcodes[n];
 	    if (cap == 0)
 		break;
-	    dumpit(cap, f_opt ? boolfnames[n] : cap);
+	    dumpit(cap, fullname(bool, n));
 	}
     }
 
@@ -339,7 +345,7 @@
 	    cap = my_numcodes[n];
 	    if (cap == 0)
 		break;
-	    dumpit(cap, f_opt ? numfnames[n] : cap);
+	    dumpit(cap, fullname(num, n));
 	}
     }
 
@@ -348,7 +354,7 @@
 	    cap = my_strcodes[n];
 	    if (cap == 0)
 		break;
-	    dumpit(cap, f_opt ? strfnames[n] : cap);
+	    dumpit(cap, fullname(str, n));
 	}
     }
 #ifdef NCURSES_VERSION
Index: test/list_keys.c
Prereq:  1.4 
--- ncurses-6.0-20160611+/test/list_keys.c	2016-06-04 22:39:47.000000000 +0000
+++ ncurses-6.0-20160618/test/list_keys.c	2016-06-18 22:18:30.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: list_keys.c,v 1.4 2016/06/04 22:39:47 tom Exp $
+ * $Id: list_keys.c,v 1.9 2016/06/18 22:18:30 tom Exp $
  *
  * Author: Thomas E Dickey
  *
@@ -52,6 +52,23 @@
 static bool t_opt = FALSE;
 static bool x_opt = FALSE;
 
+typedef enum {
+    ktCursor
+    ,ktFunction
+    ,ktOther
+#if HAVE_USE_EXTENDED_NAMES
+    ,ktExtended
+#endif
+} KEYTYPE;
+
+typedef struct {
+    KEYTYPE type;
+    const char *name;
+} KEYNAMES;
+
+#define Type(n) list[n].type
+#define Name(n) list[n].name
+
 static const char *
 full_name(const char *name)
 {
@@ -154,16 +171,49 @@
     return result;
 }
 
+static int
+compare_keys(const void *a, const void *b)
+{
+    const KEYNAMES *p = (const KEYNAMES *) a;
+    const KEYNAMES *q = (const KEYNAMES *) b;
+    int result = (int) (p->type - q->type);
+    int pn, qn;
+    if (result == 0) {
+	if (p->type == ktFunction &&
+	    sscanf(p->name, "kf%d", &pn) == 1 &&
+	    sscanf(q->name, "kf%d", &qn) == 1) {
+	    result = (pn - qn);
+	} else {
+	    result = strcmp(p->name, q->name);
+	}
+    }
+    return result;
+}
+
+static void
+draw_line(int width)
+{
+    int j;
+    if (!t_opt) {
+	for (j = 0; j < width; ++j) {
+	    printf("-");
+	}
+	printf("\n");
+    }
+}
+
 static void
 list_keys(TERMINAL ** terms, int count)
 {
     int j, k;
     int widths0 = 0;
     int widths1 = 0;
+    int widthsx;
     int check;
-    int total = 0;
+    size_t total = 0;
+    size_t actual = 0;
     const char *name = f_opt ? "strfname" : "strname";
-    const char **list;
+    KEYNAMES *list;
 
     for (total = 0; strnames[total]; ++total) {
 	;
@@ -174,13 +224,19 @@
 	for (k = 0; k < count; ++k) {
 	    set_curterm(terms[k]);
 	    term = &(cur_term->type);
-	    total += NUM_STRINGS(term) - STRCOUNT;
+	    total += (size_t) (NUM_STRINGS(term) - STRCOUNT);
 	}
     }
 #endif
-    list = typeCalloc(const char *, total + 1);
+    list = typeCalloc(KEYNAMES, total + 1);
     for (j = 0; strnames[j]; ++j) {
-	list[j] = strnames[j];
+	Type(j) = ktOther;
+	if (sscanf(strnames[j], "kf%d", &k) == 1) {
+	    Type(j) = ktFunction;
+	} else if (!strncmp(strnames[j], "kcu", 3)) {
+	    Type(j) = ktCursor;
+	}
+	Name(j) = strnames[j];
     }
 #if NCURSES_XNAMES
     if (x_opt) {
@@ -193,35 +249,38 @@
 		bool found = FALSE;
 		const char *estr = ExtStrname(term, (int) n, strnames);
 		for (m = STRCOUNT; m < j; ++m) {
-		    if (!strcmp(estr, list[m])) {
+		    if (!strcmp(estr, Name(m))) {
 			found = TRUE;
 			break;
 		    }
 		}
 		if (!found) {
-		    list[j++] = estr;
+		    Type(j) = ktExtended;
+		    Name(j++) = estr;
 		}
 	    }
 	}
     }
 #endif
+    actual = (size_t) j;
+    qsort(list, actual, sizeof(KEYNAMES), compare_keys);
 
     widths0 = (int) strlen(name);
     for (k = 0; k < count; ++k) {
 	set_curterm(terms[k]);
-	check = (int) strlen(name);
+	check = (int) strlen(termname());
 	if (widths1 < check)
 	    widths1 = check;
     }
-    for (j = 0; list[j] != 0; ++j) {
-	if (valid_key(list[j], terms, count)) {
-	    const char *label = f_opt ? full_name(list[j]) : list[j];
+    for (j = 0; Name(j) != 0; ++j) {
+	if (valid_key(Name(j), terms, count)) {
+	    const char *label = f_opt ? full_name(Name(j)) : Name(j);
 	    check = (int) strlen(label);
 	    if (widths0 < check)
 		widths0 = check;
 	    for (k = 0; k < count; ++k) {
 		set_curterm(terms[k]);
-		check = show_key(list[j], FALSE);
+		check = show_key(Name(j), FALSE);
 		if (widths1 < check)
 		    widths1 = check;
 	    }
@@ -245,9 +304,13 @@
     }
     printf("\n");
 
-    for (j = 0; list[j] != 0; ++j) {
-	if (valid_key(list[j], terms, count)) {
-	    const char *label = f_opt ? full_name(list[j]) : list[j];
+    widthsx = widths0 + ((count + 1) * widths1);
+
+    for (j = 0; Name(j) != 0; ++j) {
+	if (j == 0 || (Type(j) != Type(j - 1)))
+	    draw_line(widthsx);
+	if (valid_key(Name(j), terms, count)) {
+	    const char *label = f_opt ? full_name(Name(j)) : Name(j);
 	    if (t_opt) {
 		printf("\"%s\"", label);
 	    } else {
@@ -256,10 +319,10 @@
 	    for (k = 0; k < count; ++k) {
 		printf(t_opt ? "," : " ");
 		set_curterm(terms[k]);
-		check = show_key(list[j], TRUE);
+		check = show_key(Name(j), TRUE);
 		if (!t_opt) {
 		    if (k + 1 < count) {
-			printf("%*s", widths1 + 1 - check, " ");
+			printf("%*s", widths1 - check, " ");
 		    }
 		}
 	    }
Index: test/test.priv.h
Prereq:  1.132 
--- ncurses-6.0-20160611+/test/test.priv.h	2016-04-09 23:55:01.000000000 +0000
+++ ncurses-6.0-20160618/test/test.priv.h	2016-06-19 00:04:02.000000000 +0000
@@ -29,7 +29,7 @@
 /****************************************************************************
  *  Author: Thomas E. Dickey                    1996-on                     *
  ****************************************************************************/
-/* $Id: test.priv.h,v 1.132 2016/04/09 23:55:01 tom Exp $ */
+/* $Id: test.priv.h,v 1.133 2016/06/19 00:04:02 tom Exp $ */
 
 #ifndef __TEST_PRIV_H
 #define __TEST_PRIV_H 1
@@ -162,6 +162,10 @@
 #define HAVE_RESIZE_TERM 0
 #endif
 
+#ifndef HAVE_RESTARTTERM
+#define HAVE_RESTARTTERM 0
+#endif
+
 #ifndef HAVE_RIPOFFLINE
 #define HAVE_RIPOFFLINE 0
 #endif
@@ -549,6 +553,10 @@
 extern char *strnames[], *strcodes[], *strfnames[];
 #endif
 
+#ifdef DECL_CURSES_DATA_TTYTYPE
+#define ttytype termname()
+#endif
+
 #define colored_chtype(ch, attr, pair) \
 	((chtype) (ch) | (chtype) (attr) | (chtype) COLOR_PAIR(pair))
 
Index: test/test_setupterm.c
Prereq:  1.8 
--- ncurses-6.0-20160611+/test/test_setupterm.c	2015-06-28 00:53:46.000000000 +0000
+++ ncurses-6.0-20160618/test/test_setupterm.c	2016-06-18 23:54:35.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 2015 Free Software Foundation, Inc.                        *
+ * Copyright (c) 2015,2016 Free Software Foundation, Inc.                   *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,7 +29,7 @@
 /*
  * Author: Thomas E. Dickey
  *
- * $Id: test_setupterm.c,v 1.8 2015/06/28 00:53:46 tom Exp $
+ * $Id: test_setupterm.c,v 1.9 2016/06/18 23:54:35 tom Exp $
  *
  * A simple demo of setupterm/restartterm.
  */
@@ -96,11 +96,12 @@
     int rc;
     int err = -99;
 
-    if (r_opt) {
+#if HAVE_RESTARTTERM
+    if (r_opt)
 	rc = restartterm(name, 0, f_opt ? NULL : &err);
-    } else {
+    else
+#endif
 	rc = setupterm(name, 0, f_opt ? NULL : &err);
-    }
     test_rc(name, rc, err);
 }
 
@@ -118,7 +119,9 @@
 	" -f       treat errors as fatal",
 	" -n       set environment to disable terminfo database, assuming",
 	"          the compiled-in paths for database also fail",
+#if HAVE_RESTARTTERM
 	" -r       test restartterm rather than setupterm",
+#endif
     };
     unsigned n;
     for (n = 0; n < SIZEOF(msg); ++n) {
@@ -143,9 +146,11 @@
 	case 'n':
 	    n_opt = TRUE;
 	    break;
+#if HAVE_RESTARTTERM
 	case 'r':
 	    r_opt = TRUE;
 	    break;
+#endif
 	default:
 	    usage();
 	    break;
